%define srcname pyparted
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: 	Python module for GNU parted
Name:    	python-parted
Version: 	3.10.7
Release: 	%mkrel 2
License: 	GPLv2+
Group:   	System/Libraries
URL:     	https://github.com/dcantrell/pyparted
Source0: 	https://github.com/dcantrell/%{srcname}/releases/%{srcname}-%{version}.tar.gz

BuildRequires: 	pkgconfig(python2)
BuildRequires: 	pkgconfig(python3)
BuildRequires: 	pkgconfig(libparted) >= 3.1-14

Provides:	%{srcname} = %{version}-%{release}

%description
Python module for the parted library.  It is used for manipulating
partition tables.

%package -n python3-parted
Summary:	Python 3 module for GNU parted
Group:		System/Libraries

%description -n python3-parted
Python module for the parted library.  It is used for manipulating
partition tables. This package provides Python 3 bindings for parted.

%files
%doc AUTHORS COPYING NEWS README TODO
%{python2_sitearch}/_ped.so
%{python2_sitearch}/parted
%{python2_sitearch}/%{srcname}-%{version}-*.egg-info

%files -n python3-parted
%doc AUTHORS COPYING NEWS README TODO
%{python3_sitearch}/_ped.*.so
%{python3_sitearch}/parted
%{python3_sitearch}/%{srcname}-%{version}-*.egg-info

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

cp -a . %{py3dir}


%build
%make

pushd %{py3dir}
%make PYTHON=python3 
popd


%install
%make_install

pushd %{py3dir}
%make_install PYTHON=python3
popd


# Remove .la file
%__rm -rf %{buildroot}%{python2_sitearch}/*.la
%__rm -rf %{buildroot}%{python3_sitearch}/*.la


%changelog
* Thu May 12 2016 daviddavid <daviddavid> 3.10.7-2.mga6
+ Revision: 1014018
- replace some macros thus fixing build

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Dec 06 2015 philippem <philippem> 3.10.7-1.mga6
+ Revision: 908596
- update to 3.10.7, add Python3
- update to 3.10.7, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 3.10-7.mga5
+ Revision: 750516
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.10-6.mga5
+ Revision: 729309
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.10-5.mga5
+ Revision: 688203
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.10-3.mga4
+ Revision: 543791
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.10-2.mga4
+ Revision: 499082
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 3.10-1.mga4
+ Revision: 491783
- Update to 3.10

* Sun Jan 13 2013 umeabot <umeabot> 3.8-3.mga3
+ Revision: 379235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 3.8-2.mga3
+ Revision: 278238
- rebuild for new gparted

* Mon Jul 11 2011 dams <dams> 3.8-1.mga2
+ Revision: 122222
- use python ./setup.py as no longuer ./configure provided
- Update to 3.8

* Tue Jun 14 2011 mikala <mikala> 3.6-1.mga2
+ Revision: 106198
- imported package python-parted

